KDE 4.5 PyKDE API Reference

- KDE's Python API

# TransactionCommitJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that commits a session-global transaction.

This job commits all changes of this transaction.

Author:
  Volker Krause <vkrause@kde.org>

## Methods
| __init__ (self, QObject parent)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

Creates a new transaction commit job. The parent must be the same parent as for the TransactionBeginJob.

Parameters:

  | parent | The parent job or Session, must not be 0.

doStart | ( |  | self ) |